## kodaskanna 0.0+p24.04+vunstable+git20250914.1440

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20250914.1440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 14:40:36 +0000

kodaskanna (0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 18 Nov 2024 10:04:07 +1000

## kodaskanna 0.0+p24.04+vunstable+git20251015.1708

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20251015.1708-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:08:45 +0000

## kodaskanna 0.0+p24.04+vunstable+git20251126.0428

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20251126.0428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 04:28:02 +0000

## kodaskanna 0.0+p24.04+vunstable+git20251128.0032

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20251128.0032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:32:19 +0000

## kodaskanna 0.0+p24.04+vunstable+git20260105.1454

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20260105.1454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:54:13 +0000

## kodaskanna 0.0+p24.04+vunstable+git20260205.0757

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(Kodaskanna VERSION "0.2.2")

set(QT_MIN_VERSION "6.5")
set(KF_MIN_VERSION "6.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    MultimediaWidgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Crash
    WidgetsAddons
    ConfigWidgets
    KIO
    Purpose
    XmlGui
    I18n
)

find_package(ZXing 2.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.8
)

add_subdirectory(src)
add_subdirectory(icons)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.hpp)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kodaskanna (0.0+p24.04+vunstable+git20260205.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:57:45 +0000

=== debian/control ===
Source: kodaskanna
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               kf6-purpose-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kodaskanna.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kodaskanna
Maintainer: Neon CI <neon@kde.org>

Package: kodaskanna
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE code scanner
 A multi-format 1D/2D code scanner
